package com.gic.haoban.manage.service.config;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * Created by tgs on 2020/2/23.
 */
@Configuration
@EnableApolloConfig
public class Config {
    @Value("${corpid}")
    private String corpid;
    @Value("${host}")
    private String host;
    @Value("${wxSuiteid}")
    private String wxSuiteid;
    @Value("${appid}")
    private String appid;
    @Value("${memberOpenPage}")
    private String memberOpenPage;
    @Value("${historyMbrMassOperWhiteList}")
    private String historyMbrMassOperWhiteList;
    @Value("${hm_link_url}")
    private String hmLinkUrl;
    @Value("${qywx_hbzs_suite}")
    private String qywxHbzsSuite;
    @Value("${addDelFriendEvent}")
    private String addDelFriendEvent;

    public String getHmLinkUrl() {
        return hmLinkUrl;
    }

    public void setHmLinkUrl(String hmLinkUrl) {
        this.hmLinkUrl = hmLinkUrl;
    }

    public String getMemberOpenPage() {
        return memberOpenPage;
    }

    public void setMemberOpenPage(String memberOpenPage) {
        this.memberOpenPage = memberOpenPage;
    }

    public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getWxSuiteid() {
        return wxSuiteid;
    }

    public void setWxSuiteid(String wxSuiteid) {
        this.wxSuiteid = wxSuiteid;
    }

    public String getHistoryMbrMassOperWhiteList() {
        return historyMbrMassOperWhiteList;
    }

    public void setHistoryMbrMassOperWhiteList(String historyMbrMassOperWhiteList) {
        this.historyMbrMassOperWhiteList = historyMbrMassOperWhiteList;
    }

    public String getQywxHbzsSuite() {
        return qywxHbzsSuite;
    }

    public void setQywxHbzsSuite(String qywxHbzsSuite) {
        this.qywxHbzsSuite = qywxHbzsSuite;
    }

    public String getAddDelFriendEvent() {
        return addDelFriendEvent;
    }

    public void setAddDelFriendEvent(String addDelFriendEvent) {
        this.addDelFriendEvent = addDelFriendEvent;
    }
}
